package com.lz.modules.flow.model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
* <p>
* </p>*流程审批表
* @author quyixiao
* @since 2020-10-21
*/

@Data
@ApiModel(value = "流程审批表Dto")
public class FlowApprovalRoleDto {
    //
    @ApiModelProperty(value = "", name = "id")
    private Long id;
    //审批用户id
    @ApiModelProperty(value = "审批用户id", name = "approvalId")
    private Long approvalId;
    //0表示指定员工，1表示1级主管，2表示二级主管....
    @ApiModelProperty(value = "-1考核人员自己，0表示指定员工，1表示1级主管，2表示二级主管....", name = "type")
    private Integer type;
    //审批人角色id
    @ApiModelProperty(value = "审批人角色id", name = "roleId")
    private String roleId;
    //流程表id
    @ApiModelProperty(value = "流程表id", name = "flowId")
    private Long flowId;
    //步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可）
    @ApiModelProperty(value = "步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可）", name = "stepType")
    private Integer stepType;

    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 审批用户id 
     * @return
     */
    public Long getApprovalId() {
        return approvalId;
    }
    /**
     * 审批用户id 
     * @param approvalId
     */
    public void setApprovalId(Long approvalId) {
        this.approvalId = approvalId;
    }

    /**
     * 0表示指定员工，1表示1级主管，2表示二级主管.... 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 0表示指定员工，1表示1级主管，2表示二级主管.... 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 审批人角色id 
     * @return
     */
    public String getRoleId() {
        return roleId;
    }
    /**
     * 审批人角色id 
     * @param roleId
     */
    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    /**
     * 流程表id 
     * @return
     */
    public Long getFlowId() {
        return flowId;
    }
    /**
     * 流程表id 
     * @param flowId
     */
    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    /**
     * 步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可） 
     * @return
     */
    public Integer getStepType() {
        return stepType;
    }
    /**
     * 步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可） 
     * @param stepType
     */
    public void setStepType(Integer stepType) {
        this.stepType = stepType;
    }



    @Override
    public String toString() {
        return "FlowApprovalRoleDto{" +
                ",id=" + id +
                ",approvalId=" + approvalId +
                ",type=" + type +
                ",roleId=" + roleId +
                ",flowId=" + flowId +
                ",stepType=" + stepType +
                "}";
    }
}